---
- name: Install vscode ubuntu
  hosts: localhost
  gather_facts: false

  tasks:
    # - name: Fail if not on Ubuntu
    #   when: ansible_distribution != 'Ubuntu'
    #   fail:
    #     msg: 'The VScode application-plugin is designed for Ubuntu. Cannot continue.'


    - name: Install dependencies (apt)
      apt:
        name:
        - ca-certificates
        - apt-transport-https
        state: present


    - name: Install gpg key
      apt_key:
        url: https://packages.microsoft.com/keys/microsoft.asc
        keyring: /etc/apt/trusted.gpg.d/packages.microsoft.gpg
      become: true


    - name: Install VS Code repo (apt)
      apt_repository:
        repo: deb [arch=amd64,arm64,armhf signed-by=/etc/apt/trusted.gpg.d/packages.microsoft.gpg] https://packages.microsoft.com/repos/code stable main
        filename: vscode
        state: present

    - name: Install VS Code (apt)
      apt:
        name: code
        state: present

